//
/*
 * Copyright (c) 2021 BWI GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import Foundation
/*
"should_show_android_release_notes" : [ {
    "version" : "1.17.0",
    "show_hint" : false
  } ]
 */

@objcMembers class FeatureBannerVisibilityService : NSObject {
    
    private enum AccountDataTypes {
        static let featureVisibility = "de.bwi.should_show_ios_release_notes"
    }
    
    func markAsRead() {
        BWIBuildSettings.shared.didShowBuMXMigrationInfoLevel = BWIBuildSettings.shared.BuMXMigrationInfoLevel
    }
    
    func markAsUnread( version: String ) {
        BWIBuildSettings.shared.didShowBuMXMigrationInfoLevel = 0
    }
    
    func isUnread(completion: @escaping (_ unread : Bool) -> Void)  {
        guard BWIBuildSettings.shared.BuMXMigrationInfoLevel < 3 else {
            completion(true)
            return
        }
        
        if BWIBuildSettings.shared.didShowBuMXMigrationInfoLevel < BWIBuildSettings.shared.BuMXMigrationInfoLevel {
            completion(true)
            return
        } else {
            completion(false)
            return
        }
    }
}
